'use strict';

define([
	'app',
], function (app) {
	app.directive('ngLanguage', ['$parse', "lang", function($parse, lang) {
		return {
			restrict: 'A',
			link: function(scope, element, attr) {
				scope.$watch($parse(attr['ngLanguage'].trim(), function(values) {

					for(var i in values)
					{
						if(values[i])
						{
							element.text(lang.t(i));
							return;
						}
					}
				}), function (newVal) {
					if(newVal) element.text(lang.t(newVal));
				}, false);
			}
		}
	}]);
});