'use strict';

define([
	'app',
	], function(app) {
	app.controller("multiProcessingSetting101",
		["$rootScope", "$scope", "$location", "$timeout", "jetapi", "meta", "SweetAlert", "lang",
			function ($rootScope, $scope, $location, $timeout, jetapi, meta, SweetAlert, lang) {

				var _id = "101_multiProcessingSetting";

				$scope.saveData = {
					concurrentqueueprocesses:1,
					concurrentscheduleprocesses:1
				};

				$scope.$on('save', function () {
					$scope.apiParams = {
						section: 'performance',
						concurrentqueueprocesses: $scope.saveData.concurrentqueueprocesses,
						concurrentscheduleprocesses: $scope.saveData.concurrentscheduleprocesses
				};

					jetapi.manageSettings($scope.apiParams, function(response) {
						if(!response.success) {
							$rootScope.$emit("error", response.message);
							return;
						}
						$rootScope.$emit("approve", _id);
					});
				});
			}
		]
	);
});