'use strict';

define([
	'app',
	], function(app) {
	app.controller("rootPrivateKey100",
		["$rootScope", "$scope", "$location", "$timeout", "jetapi", "meta", "SweetAlert", "lang",
			function ($rootScope, $scope, $location, $timeout, jetapi, meta, SweetAlert, lang) {

				var _id = "100_rootPrivateKey";

				$scope.$on('save', function () {
					jetapi.generateRootEncryptionKey({}, function (response) {
						if(!response.success) {
							$rootScope.$emit("error", response.message);
							return;
						}
						$rootScope.$emit("approve", _id);
					});
				});
			}
		]
	);
});